Uplink-Nodejs 1.0.8 Nods.js binding fo libUplink

Public Attributes | List of all members
ConfigRequestAccessPromiseObj Struct Reference

`#include <definitions.h>`

## Public Attributes
char * | satellite_address
char * | api_key
char * | passphrase
int | async_action_status
napi_deferred | deferred
napi_async_work | work
napi_value | result
UplinkAccessResult | access_Result
UplinkConfig | config

## Member Data Documentation

## ◆ access_Result

UplinkAccessResult ConfigRequestAccessPromiseObj::access_Result

## ◆ api_key

char* ConfigRequestAccessPromiseObj::api_key

## ◆ async_action_status

int ConfigRequestAccessPromiseObj::async_action_status

## ◆ config

UplinkConfig ConfigRequestAccessPromiseObj::config

## ◆ deferred

napi_deferred ConfigRequestAccessPromiseObj::deferred

## ◆ passphrase

char* ConfigRequestAccessPromiseObj::passphrase

## ◆ result

napi_value ConfigRequestAccessPromiseObj::result

## ◆ satellite_address

char* ConfigRequestAccessPromiseObj::satellite_address

## ◆ work

napi_async_work ConfigRequestAccessPromiseObj::work

The documentation for this struct was generated from the following file:

- definitions.h